##### VARIABLES #####
SRC="/var/tmp/audit/"
DST="/var/tmp/csv/"
CONVERTER="/opt/SecureSphere/server/bin/convertAuditFiles.sh"
LIB="/opt/SecureSphere/server/bin/eventCrcConvertor.x"
JAR="/opt/SecureSphere/server/bin/packagertool.jar"
LIST="/var/tmp/csv/list.txt"

##### PROCESS #####
ls -1 $SRC | grep .mprv > $LIST

while read line

do 
echo $line
mkdir $DST$line
cp $SRC$line $DST$line/
java -jar $JAR -unpack -source $DST$line/$line -target $DST$line
echo "java unpack finished."
sleep 1
rm -f $DST$line/$line*
cp $CONVERTER $DST$line/
cp $LIB $DST$line/
chown -R admin:ssunpriv $DST$*
cd $DST$line && ./convertAuditFiles.sh
echo "convert finished."
sleep 1
rm -f $DST$line/* 2> /dev/null
echo "deleted temp items except folders."
sleep 1
echo $DST$line/ "ready, processing next file."
sleep 1

done<$LIST

echo "all files converted."
